Run a connector

Server: https://{kibana_url}
  • POST /api/actions/connector/{id}/_execute
  • POST /s/{space_id}/api/actions/connector/{id}/_execute

Refer to Spaces for more information.

You can use this API to test an action that involves interaction with Kibana services or integrations with third-party systems.

Path Parameters

id string required

An identifier for the connector.

Request

params union oneOf required
One of:

Test an action that acknowledges or resolves a PagerDuty alert.

dedupKey string · max: 255 required

The deduplication key for the PagerDuty alert.

eventAction enum required

The type of event.

Values: acknowledge resolve

Responses

403

Indicates that this call is forbidden.